%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Net::Server::Mail::LMTP|Net::Server::Mail::SMTP)\\)$

Name:		yaa
Version:	0.3.3
Release:	1%{?dist}
Summary:	Yet Another Autoresponder
BuildArch:	noarch

Group:		Applications/Internet
License:	Free
Source0:	%{name}-%{version}.tar.bz2
Patch0:		yaa-0.3.3-dbdir.patch
Patch1:		yaa-0.3.3-configpath.patch

BuildRequires:  perl-macros
Requires:	perl-interpreter >= 5.6.1

%description
An autoresponder in Perl


%prep
%setup -q
%patch0 -p1
%patch1 -p1
perl -pi -e 's-/var/run/yaa.lock-/var/run/yaa.pid-' conf/yaa.conf.sample
#perl -pi -e 's-^# \$db_dir = .*-&"' conf/yaa.conf.sample


%build


%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 755 bin/yaa.pl %{buildroot}%{_bindir}/yaa
%{__install} -d %{buildroot}%{_sysconfdir}/%{name}
%{__install} -m 644 conf/yaa.conf.sample %{buildroot}%{_sysconfdir}/%{name}/yaa.conf
%{__install} -d %{buildroot}%{perl_vendorlib}/
%{__cp} -rp lib/* %{buildroot}%{perl_vendorlib}/
%{__install} -d %{buildroot}%{_var}/lock/%{name}
%{__install} -d %{buildroot}%{_var}/run/%{name}
%{__install} -d %{buildroot}%{_var}/lib/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%doc CHANGELOG LICENSE doc/* bin/lmap_perftest.pl conf/*.sample
%dir  %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/*
%dir %{_var}/lock/%{name}
%dir %{_var}/run/%{name}
%dir %{_var}/lib/%{name}
%attr(755, root, root) %{_bindir}/yaa
%{perl_vendorlib}/*


%changelog

